from django import forms
from .models import Hotel

class HotelImportForm(forms.Form):
    hotels = forms.ModelMultipleChoiceField(
        queryset=Hotel.objects.all(),
        widget=forms.CheckboxSelectMultiple,
        required=True
    )

from .models import SyncLog

class SyncLogForm(forms.ModelForm):
    class Meta:
        model = SyncLog
        fields = ['hotel', 'processed_records']
